+ Post New Thread
Page 3 of 489 FirstFirst 1 2 3 4 5 13 53 103 ... LastLast
Threads 51 to 75 of 12223

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 28,093
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 44,819
    18th Sep 2006 10:46 pm Go to last post
  1. define an attribute with LockPosition on through dxf code '(280 . 1)

    Hello! I've tried to define an attribute with LockPosition on through dxf code and does not work. (entMake '((0 . "BLOCK") (2 . "PunctT") (70 . 2) (8 . "0") (10 0 0 0) (6 . "ByLayer") (62 ....

    Started by Costinbos77‎, 12th Sep 2014 11:16 am
    • Replies: 0
    • Views: 537
    12th Sep 2014 11:16 am Go to last post
  2. Test ! bad drawing. Z axis can't to zero.

    I use command "FLATTEN" can't reset Z axis to zero. I use LISP ,but it's too. ;;vla ;;(HH:vlaZto0 (ssget)) (defun HH:vlaZto0 (ss / E N OBJ P1 P2) (defun MoveOne (e) (setq obj...

    Started by 77077‎, 11th Sep 2014 11:26 am
    • Replies: 5
    • Views: 269
    12th Sep 2014 10:44 am Go to last post
  3. Dimension disconnect

    This is the effect of need : But, the reality is like this: Would also like this : Hi guys! I need some help !

    Started by andy_lee‎, 11th Sep 2014 02:28 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 315
    12th Sep 2014 02:47 am Go to last post
  4. Routine to sum multiples dimensions

    Hi, What is my goal: to select multiple dimensions entities and obtain the sum os all of them. In the image below i should be albe to select the 2 dimensions and the result of the...

    Started by Filribeiro‎, 11th Sep 2014 05:10 pm
    • Replies: 4
    • Views: 170
    11th Sep 2014 05:38 pm Go to last post
  5. Wierd Drawing State After Saving File

    I have a fairly simple LISP program which automates a task we're doing in this office. Basically we open up an old drawing which has everything in the model space and we do some magic on it to make...

    Started by Bill Tillman‎, 10th Sep 2014 07:22 pm
    • Replies: 4
    • Views: 239
    11th Sep 2014 03:11 pm Go to last post
  6. Need break contour by object lisp

    There are many lisp like these out there but none of them will break any type of line with a different Z value than the line that I use as the break point. Mapclean will work but I have to use this...

    Started by econnerly‎, 10th Sep 2014 04:11 pm
    • Replies: 2
    • Views: 183
    11th Sep 2014 02:48 pm Go to last post
  7. Exclamation Difference of visual lisp and autolisp?

    hello dear all :(I'm seriously starting to learn, My question is what programming language for AutoCAD is a more practical and which would you recommend?(autolisp or visual lisp) thanks for help me

    Started by hamidciv‎, 10th Sep 2014 05:27 pm
    • Replies: 3
    • Views: 243
    11th Sep 2014 12:58 pm Go to last post
  8. Matrix operations

    Hi Everybody, Is it possible to carry out matrix operations in Alisp/Vlisp (say 50x50)?. If not is it possible to import such a thing from excel as a table and then access individual values...

    Started by aloy‎, 3rd Aug 2014 05:43 pm
    • Replies: 9
    • Views: 519
    11th Sep 2014 11:49 am Go to last post
  9. Convert 3'9" to 45 inches (sample)

    Can I convert user's input feet and inches to inches as shown in above sample.

    Started by wimal‎, 10th Sep 2014 02:51 pm
    • Replies: 4
    • Views: 206
    11th Sep 2014 05:09 am Go to last post
  10. extract text height from a picked single line text

    any idea how to get text height when i picked single line text

    Started by motee-z‎, 10th Sep 2014 07:08 pm
    • Replies: 7
    • Views: 215
    11th Sep 2014 05:08 am Go to last post
  11. Exclamation how to drawing hegiht in view plan of base line with autolisp?

    hello dear friends i want...

    Started by hamidciv‎, 10th Sep 2014 04:07 pm
    • Replies: 4
    • Views: 337
    10th Sep 2014 07:49 pm Go to last post
  12. lisp version of diesel

    Hello, iàm looking for the lisp version of this diesel expression: %<\AcDiesel $(substr,$(getvar,dwgname),$(-,$(strlen,$(getvar,dwgname)),4),1)>% It gets the last character of the filename....

    Started by pmxcad‎, 9th Sep 2014 10:55 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 340
    10th Sep 2014 06:51 am Go to last post
  13. Draw circle again

    Hi dear friend. look: 1 step. pick a line (or pline) ,Enter the Offset distance. 2 step. pick a line (or pline) ,Enter the Offset distance. 3 step. draw a circle with center line ,the layer...

    Started by AIberto‎, 7th Sep 2014 03:27 pm
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 807
    10th Sep 2014 06:39 am Go to last post
  14. Help Running a lisp+dcl

    ive foud this intersting thread for p&id program . i dont get how to make it work . ...

    Started by danielk‎, 9th Sep 2014 02:00 pm
    • Replies: 5
    • Views: 175
    9th Sep 2014 06:27 pm Go to last post
  15. Lisp show like AutoCAD commands on the command line

    Hi, I'm wondering, how can I make my lisps show like simple AutoCAD commands, where you can click on the option. The image bellow will show what I'm talking about. You can click on the 3P, 2P...

    Started by sneffetsd‎, 9th Sep 2014 12:16 pm
    • Replies: 4
    • Views: 234
    9th Sep 2014 05:56 pm Go to last post
  16. Embarrassed Extract 3d polyline station and elevation

    Hi , i am trying to extract station and elevetion from 3d polyline to txt file Important : For the station i need only Horizontal distanse not slope distanse (i need this file to use it for...

    Started by prodromosm‎, 1st May 2014 04:27 pm
    2 Pages
    1 2
    • Replies: 18
    • Views: 1,043
    9th Sep 2014 03:27 pm Go to last post
  17. data from contour

    Acad drawing is available with survey contour. Is there any autolisp or codes which will find elevation of intermediate unknown points from nearby contours.

    Started by hepcpltd‎, 25th Aug 2011 08:53 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 4,544
    9th Sep 2014 11:09 am Go to last post
  18. Draw circle with polygon

    Hi dear friend.I need some help. Draw circle with polygon 1 step. Choose closed object ,Must be a polygon. 2 step. Enter the Offset distance . 3 step. Enter the the diameter of the circle. 4...

    Started by AIberto‎, 6th Sep 2014 06:09 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 820
    9th Sep 2014 08:09 am Go to last post
  19. Smile Building vertically monitoring method statement

    How to do presentation for building vertically method statement to client, got somebody can help, thank.

    Started by kentchen2008‎, 9th Sep 2014 05:26 am
    • Replies: 0
    • Views: 123
    9th Sep 2014 05:26 am Go to last post
  20. Dynamic Stretch Spacing

    I'm inquiring to see if there's a LISP roaming around that allows you to select equally spaced 2D objects (usually identical objects) then stretch them along any axis with the cursor, maintaining an...

    Started by tzframpton‎, 25th Oct 2013 04:34 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 1,234
    8th Sep 2014 10:01 pm Go to last post
  21. Smile Can you add (DWS) files with a LISP routine?

    I found a lisp to remove the standards (thanks Lee Mac) but would like to do the opposite. code to remove (defun c:test (/ DictObj) (vl-load-com) (if (not (vl-catch-all-error-p ...

    Started by highrez2‎, 5th Sep 2014 02:34 pm
    lisp, standards
    • Replies: 2
    • Views: 250
    8th Sep 2014 05:48 pm Go to last post
  22. Open current folder of drawing.

    Hi, I started to use this code : (Defun c:foo () (startapp (strcat "explorer /select, " (getvar "dwgprefix") (getvar "dwgname") ...

    Started by CadFrank‎, 4th Sep 2014 07:32 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 568
    8th Sep 2014 05:25 pm Go to last post
  23. Globally replace every value of an attribute in several blocks

    Hi eveybody, I would like to replace the value of an attribute with a tag like &quot;Att_11&quot; in every block that has that attribute. The current values to be replaced may be different in any block. I...

    Started by fabiospark‎, 4th Sep 2014 07:56 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 652
    8th Sep 2014 02:11 pm Go to last post
  24. Add a fixed point

    "(defun c:xy() (command "setvar" "dimzin" 0) (setq ucsname (getstring "\nPlease enter the current ucs name: ")) (command "ucs" "restore" ucsname) (setq e (entsel "\nPlease choose an object:...

    Started by mhmnibras‎, 7th Sep 2014 10:40 am
    • Replies: 2
    • Views: 216
    8th Sep 2014 05:46 am Go to last post
  25. About VisualLISP debugging/viewing drawn objects

    Hello to you all, I was wondering if this is possible (or maybe it's too basic and I'm not seeing it): I have some LISP code with a WHILE loop on it, during this loop, a number of objects are...

    Started by cletero‎, 19th May 2014 05:06 pm
    • Replies: 8
    • Views: 603
    8th Sep 2014 03:15 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts